---
title: "Douyin Index Creation Guide API (V1)"
description: "Retrieves a selected ranking, production report, consumption report, or publication calendar from the Douyin Creator Center Creation Guide. Use content verticals and published reporting dates to research popular keywords, topics, videos, and audience trends."
aiUsagePrompt: true
---

# Douyin Index Creation Guide API \(V1\)

<ApiTester
  method="GET"
  :path='JSON.parse("\"/api/douyin-index/get-creation-guide/v1\"")'
  :summary='JSON.parse("\"Creation Guide (V1)\"")'
  openapiDefinitionUrl="https://docs.justoneapi.com/openapi/douyin-index/creation-guide-v1-en.json"
  openapiVersion="3.1.0"
  :parameters='JSON.parse("[{\"name\":\"token\",\"in\":\"query\",\"description\":\"Authentication token for this API service.\",\"required\":true,\"schema\":{\"type\":\"string\"}},{\"name\":\"analysisType\",\"in\":\"query\",\"description\":\"Creation Guide analysis tab.\\n\\nAvailable Values:\\n- `CREATIVITY`: Creative insights and rankings\\n- `PRODUCTION`: Content production analysis\\n- `CONSUMPTION`: Content consumption analysis\",\"required\":true,\"schema\":{\"type\":\"string\",\"description\":\"Analysis tab in the Creation Guide\",\"enum\":[\"CREATIVITY\",\"PRODUCTION\",\"CONSUMPTION\"]}},{\"name\":\"dataType\",\"in\":\"query\",\"description\":\"One data set within the selected tab. Choose KEYWORDS, TOPICS, or VIDEOS for creative insight rankings.\\n\\nAvailable Values:\\n- `CONTENT_DATES`: Publication calendar for keyword and topic rankings and for production and consumption reports\\n- `VIDEO_DATES`: Publication calendar for popular video rankings. Use with CREATIVITY\\n- `KEYWORDS`: Popular keywords. Use with CREATIVITY\\n- `TOPICS`: Popular topics. Use with CREATIVITY\\n- `VIDEOS`: Popular videos. Use with CREATIVITY\\n- `PUBLISH_TREND`: Content publishing trend. Use with PRODUCTION\\n- `AUTHOR_PORTRAIT`: Creator profile distribution. Use with PRODUCTION\\n- `VIDEO_DURATION`: Content share, engagement, and completion by video duration. Use with PRODUCTION or CONSUMPTION\\n- `CONSUME_TREND`: Content supply and consumption trends. Use with CONSUMPTION\\n- `INTERACT_TREND`: Content engagement trend. Use with CONSUMPTION\\n- `CONSUMER_PORTRAIT`: Audience distributions for viewing and engagement. Use with CONSUMPTION\",\"required\":true,\"schema\":{\"type\":\"string\",\"description\":\"One report, ranking, or publication calendar per request\",\"enum\":[\"CONTENT_DATES\",\"VIDEO_DATES\",\"KEYWORDS\",\"TOPICS\",\"VIDEOS\",\"PUBLISH_TREND\",\"AUTHOR_PORTRAIT\",\"VIDEO_DURATION\",\"CONSUME_TREND\",\"INTERACT_TREND\",\"CONSUMER_PORTRAIT\"]}},{\"name\":\"vertical\",\"in\":\"query\",\"description\":\"Content vertical. Required for rankings and reports. Omit for publication calendars.\\n\\nAvailable Values:\\n- `DRAMA`: Scripted stories and drama\\n- `CELEBRITIES`: Celebrities\\n- `MUSIC`: Music\\n- `ANIME_COMICS`: Anime, comics, and related fan culture\\n- `GAMING`: Gaming\\n- `CURRENT_AFFAIRS`: Society and current affairs\\n- `DANCE`: Dance\\n- `RURAL_LIFE`: Agriculture, rural areas, and rural life\\n- `TECHNOLOGY`: Science and technology\\n- `FINANCE`: Business and finance\\n- `PARENTING`: Maternity and parenting\\n- `LIFESTYLE_HOME`: Lifestyle and home\\n- `HEALTH`: Medicine and health\\n- `RELATIONSHIPS`: Relationships and emotional well-being\\n- `CULTURE`: Culture\\n- `CAREERS`: Careers and the workplace\\n- `EDUCATION`: Education and campus life\\n- `PHOTOGRAPHY`: Photography and videography\\n- `FOOD`: Food and cooking\\n- `TRAVEL`: Travel\\n- `FASHION`: Fashion\\n- `SPORTS`: Sports\\n- `ENTERTAINMENT`: Leisure and entertainment\\n- `AUTOMOTIVE`: Cars and the automotive industry\",\"required\":false,\"schema\":{\"type\":\"string\",\"description\":\"Content vertical in Douyin Creator Center\",\"enum\":[\"DRAMA\",\"CELEBRITIES\",\"MUSIC\",\"ANIME_COMICS\",\"GAMING\",\"CURRENT_AFFAIRS\",\"DANCE\",\"RURAL_LIFE\",\"TECHNOLOGY\",\"FINANCE\",\"PARENTING\",\"LIFESTYLE_HOME\",\"HEALTH\",\"RELATIONSHIPS\",\"CULTURE\",\"CAREERS\",\"EDUCATION\",\"PHOTOGRAPHY\",\"FOOD\",\"TRAVEL\",\"FASHION\",\"SPORTS\",\"ENTERTAINMENT\",\"AUTOMOTIVE\"]}},{\"name\":\"period\",\"in\":\"query\",\"description\":\"ONE_DAY, THREE_DAYS, or WEEK for rankings. WEEK or MONTH for profile and video duration reports. Omit for trend reports and publication calendars.\\n\\nAvailable Values:\\n- `ONE_DAY`: One published day. Rankings only\\n- `THREE_DAYS`: Three days ending on the specified published day. Rankings only\\n- `WEEK`: A reporting week ending on Sunday\\n- `MONTH`: A calendar month. Profile and video duration reports only\",\"required\":false,\"schema\":{\"type\":\"string\",\"description\":\"Reporting period\",\"enum\":[\"ONE_DAY\",\"THREE_DAYS\",\"WEEK\",\"MONTH\"]}},{\"name\":\"startDate\",\"in\":\"query\",\"description\":\"Inclusive first day in China time (UTC+8), in YYYY-MM-DD format. Required for publishing, supply and consumption, and engagement trends. Omit for other data types.\",\"required\":false,\"schema\":{\"type\":\"string\",\"format\":\"date\"}},{\"name\":\"endDate\",\"in\":\"query\",\"description\":\"Inclusive last day in China time (UTC+8), in YYYY-MM-DD format. Required for rankings and reports. Use a published Sunday for WEEK or a published month end for MONTH. Omit for publication calendars.\",\"required\":false,\"schema\":{\"type\":\"string\",\"format\":\"date\"}}]")'
  :requestBody='JSON.parse("null")'
  :responses='JSON.parse("{\"200\":{\"description\":\"OK\",\"content\":{\"application/json\":{\"schema\":{\"if\":{\"properties\":{\"code\":{\"const\":0}},\"required\":[\"code\"]},\"then\":{\"properties\":{\"data\":{\"type\":\"object\",\"description\":\"One Creation Guide result. The fields returned depend on the requested dataType.\",\"properties\":{\"day\":{\"type\":\"string\",\"description\":\"Latest published day for content reports and keyword or topic rankings, in YYYYMMDD format.\"},\"week\":{\"type\":\"string\",\"description\":\"End date of the latest published week for content reports and keyword or topic rankings, in YYYYMMDD format.\"},\"month\":{\"type\":\"string\",\"description\":\"End date of the latest published month for content reports, in YYYYMMDD format.\"},\"earliest_week\":{\"type\":\"string\",\"description\":\"End date of the earliest available content reporting week, in YYYYMMDD format.\"},\"latest_day\":{\"type\":\"string\",\"description\":\"Latest published day for popular video rankings, in YYYYMMDD format.\"},\"start_week\":{\"type\":\"string\",\"description\":\"End date of the earliest available video ranking week, in YYYYMMDD format.\"},\"end_week\":{\"type\":\"string\",\"description\":\"End date of the latest available video ranking week, in YYYYMMDD format.\"},\"keyword_list\":{\"type\":\"array\",\"description\":\"Popular keywords for the selected vertical and period.\",\"items\":{\"type\":\"object\",\"description\":\"One popular keyword.\",\"properties\":{\"keyword\":{\"type\":\"string\",\"description\":\"Keyword text.\"},\"cnt\":{\"type\":\"string\",\"description\":\"Number of videos associated with the keyword, expressed as a string.\"},\"is_hot\":{\"type\":\"boolean\",\"description\":\"Hot-keyword indicator returned by Douyin.\"},\"index\":{\"type\":\"string\",\"description\":\"Composite index, expressed as a string.\"},\"search_index\":{\"type\":\"string\",\"description\":\"Search index, expressed as a string.\"}}}},\"topic_list\":{\"type\":\"array\",\"description\":\"Popular topics for the selected vertical and period.\",\"items\":{\"type\":\"object\",\"description\":\"One popular topic.\",\"properties\":{\"id\":{\"type\":\"string\",\"description\":\"Douyin topic identifier.\"},\"name\":{\"type\":\"string\",\"description\":\"Topic name.\"},\"index\":{\"type\":\"string\",\"description\":\"Topic index, expressed as a string.\"},\"item_cnt\":{\"type\":\"string\",\"description\":\"Submission count, expressed as a string.\"},\"vv\":{\"type\":\"string\",\"description\":\"View count, expressed as a string.\"},\"digg_cnt\":{\"type\":\"string\",\"description\":\"Like count, expressed as a string.\"},\"item_list\":{\"type\":\"array\",\"description\":\"Related entries, when present.\",\"items\":{}}}}},\"video_infos\":{\"type\":\"array\",\"description\":\"Popular videos for the selected vertical and period.\",\"items\":{\"type\":\"object\",\"description\":\"One video in the ranking.\",\"properties\":{\"item_id\":{\"type\":\"string\",\"description\":\"Douyin video identifier.\"},\"author_fans\":{\"type\":\"string\",\"description\":\"Creator follower count, expressed as a string.\"},\"index\":{\"type\":\"string\",\"description\":\"Video index, expressed as a string.\"},\"like_cnt\":{\"type\":\"string\",\"description\":\"Like count, expressed as a string.\"},\"seq\":{\"type\":\"string\",\"description\":\"Position in the ranking, expressed as a string.\"},\"video_title\":{\"type\":\"string\",\"description\":\"Video title.\"},\"author\":{\"type\":\"string\",\"description\":\"Creator display name.\"},\"comment_cnt\":{\"type\":\"string\",\"description\":\"Comment count, expressed as a string.\"},\"forward_cnt\":{\"type\":\"string\",\"description\":\"Share count, expressed as a string.\"},\"thumbnail\":{\"type\":\"string\",\"description\":\"Video thumbnail URL.\"},\"avatar_url\":{\"type\":\"string\",\"description\":\"Creator avatar URL.\"},\"status\":{\"type\":\"string\",\"description\":\"Video status value.\"},\"play_cnt\":{\"type\":\"string\",\"description\":\"View count, expressed as a string.\"},\"author_id\":{\"type\":\"string\",\"description\":\"Douyin creator identifier.\"}}}},\"page_resp\":{\"type\":\"object\",\"description\":\"Ranking result count.\",\"properties\":{\"total_num\":{\"type\":\"string\",\"description\":\"Total reported for the video ranking, expressed as a string.\"}}},\"author_list\":{\"type\":\"array\",\"description\":\"Trend series for content creators.\",\"items\":{\"type\":\"object\",\"description\":\"One day in the trend.\",\"properties\":{\"date\":{\"type\":\"string\",\"description\":\"Reporting date in YYYYMMDD format.\"},\"rate\":{\"type\":\"number\",\"description\":\"Value of this trend point.\"}}}},\"item_list\":{\"type\":\"array\",\"description\":\"Trend series for published content.\",\"items\":{\"type\":\"object\",\"description\":\"One day in the trend.\",\"properties\":{\"date\":{\"type\":\"string\",\"description\":\"Reporting date in YYYYMMDD format.\"},\"rate\":{\"type\":\"number\",\"description\":\"Value of this trend point.\"}}}},\"supply_trend\":{\"type\":\"array\",\"description\":\"Trend series for content supply.\",\"items\":{\"type\":\"object\",\"description\":\"One day in the trend.\",\"properties\":{\"date\":{\"type\":\"string\",\"description\":\"Reporting date in YYYYMMDD format.\"},\"rate\":{\"type\":\"number\",\"description\":\"Value of this trend point.\"}}}},\"consume_trend\":{\"type\":\"object\",\"description\":\"Content consumption trend and associated top entries.\",\"properties\":{\"rate_list\":{\"type\":\"array\",\"description\":\"Time series returned for the selected period.\",\"items\":{\"type\":\"object\",\"description\":\"One reported observation.\"}},\"top_list\":{\"type\":\"array\",\"description\":\"Top entries returned with the trend.\",\"items\":{}}}},\"interact_trend\":{\"type\":\"object\",\"description\":\"Content engagement trend and associated top entries.\",\"properties\":{\"rate_list\":{\"type\":\"array\",\"description\":\"Time series returned for the selected period.\",\"items\":{\"type\":\"object\",\"description\":\"One reported observation.\"}},\"top_list\":{\"type\":\"array\",\"description\":\"Top entries returned with the trend.\",\"items\":{}}}},\"rate_list\":{\"type\":\"array\",\"description\":\"Statistics grouped by video duration.\",\"items\":{\"type\":\"object\",\"description\":\"One video duration group.\",\"properties\":{\"duration\":{\"type\":\"string\",\"description\":\"Label of the video duration group.\"},\"content_rate\":{\"type\":\"number\",\"description\":\"Share of content in this duration group.\"},\"interaction_rate\":{\"type\":\"number\",\"description\":\"Engagement rate for videos in this duration group.\"},\"finish_rate\":{\"type\":\"number\",\"description\":\"Completion rate for videos in this duration group.\"},\"top_items_list\":{\"type\":\"array\",\"description\":\"Top video groups for this duration, when present.\",\"items\":{}}}}},\"data\":{\"type\":\"array\",\"description\":\"Creator profile distributions for the selected vertical and period.\",\"items\":{\"type\":\"object\",\"description\":\"One attribute in the audience or creator profile.\",\"properties\":{\"name_en\":{\"type\":\"string\",\"description\":\"Identifier for the profile attribute.\"},\"label_list\":{\"type\":\"array\",\"description\":\"Distribution entries for this attribute.\",\"items\":{}}}}},\"play_data\":{\"type\":\"array\",\"description\":\"Audience profile distributions for video viewing.\",\"items\":{\"type\":\"object\",\"description\":\"One attribute in the audience or creator profile.\",\"properties\":{\"name_en\":{\"type\":\"string\",\"description\":\"Identifier for the profile attribute.\"},\"label_list\":{\"type\":\"array\",\"description\":\"Distribution entries for this attribute.\",\"items\":{}}}}},\"interaction_data\":{\"type\":\"array\",\"description\":\"Audience profile distributions for video engagement.\",\"items\":{\"type\":\"object\",\"description\":\"One attribute in the audience or creator profile.\",\"properties\":{\"name_en\":{\"type\":\"string\",\"description\":\"Identifier for the profile attribute.\"},\"label_list\":{\"type\":\"array\",\"description\":\"Distribution entries for this attribute.\",\"items\":{}}}}}}}}},\"allOf\":[{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}]}}}},\"400\":{\"description\":\"Invalid request parameters or body\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"401\":{\"description\":\"Invalid or inactive access token\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"403\":{\"description\":\"Permission denied\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"429\":{\"description\":\"Request rate or daily quota limit exceeded\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"500\":{\"description\":\"Internal server error\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}},\"503\":{\"description\":\"Service temporarily unavailable\",\"content\":{\"application/json\":{\"schema\":{\"type\":\"object\",\"properties\":{\"code\":{\"type\":\"integer\",\"format\":\"int32\",\"enum\":[0,100,101,202,300,301,302,303,400,404,500,503,600,601,602]},\"message\":{\"type\":[\"string\",\"null\"]},\"data\":{},\"recordTime\":{\"type\":[\"string\",\"null\"]},\"requestId\":{\"type\":\"string\"},\"reason\":{\"type\":\"string\"},\"requestParams\":{\"type\":\"object\",\"properties\":{\"query\":{\"type\":\"object\",\"additionalProperties\":{\"type\":\"object\"}},\"body\":{\"type\":\"object\",\"properties\":{\"empty\":{\"type\":\"boolean\"},\"array\":{\"type\":\"boolean\"},\"null\":{\"type\":\"boolean\"},\"object\":{\"type\":\"boolean\"},\"float\":{\"type\":\"boolean\"},\"container\":{\"type\":\"boolean\"},\"valueNode\":{\"type\":\"boolean\"},\"integralNumber\":{\"type\":\"boolean\"},\"floatingPointNumber\":{\"type\":\"boolean\"},\"missingNode\":{\"type\":\"boolean\"},\"boolean\":{\"type\":\"boolean\"},\"binary\":{\"type\":\"boolean\"},\"nodeType\":{\"type\":\"string\",\"enum\":[\"ARRAY\",\"BINARY\",\"BOOLEAN\",\"MISSING\",\"NULL\",\"NUMBER\",\"OBJECT\",\"POJO\",\"STRING\"]},\"string\":{\"type\":\"boolean\"},\"pojo\":{\"type\":\"boolean\"},\"short\":{\"type\":\"boolean\"},\"int\":{\"type\":\"boolean\"},\"long\":{\"type\":\"boolean\"},\"double\":{\"type\":\"boolean\"},\"bigDecimal\":{\"type\":\"boolean\"},\"bigInteger\":{\"type\":\"boolean\"},\"textual\":{\"type\":\"boolean\",\"deprecated\":true},\"number\":{\"type\":\"boolean\"},\"embeddedValue\":{\"type\":\"boolean\"}}}}}},\"required\":[\"code\",\"data\",\"message\",\"recordTime\"]}}}}}")'
  :servers='JSON.parse("[{\"url\":\"https://api.justoneapi.com\",\"description\":\"Global production API (default)\"}]")'
  :security='JSON.parse("[]")'
  :securitySchemes='JSON.parse("{}")'
  :schemas='JSON.parse("{}")'
/>

<ApiHealthSection :api='JSON.parse("\"/api/douyin-index/get-creation-guide/v1\"")' />

<p>Retrieves a selected ranking, production report, consumption report, or publication calendar from the Douyin Creator Center Creation Guide. Use content verticals and published reporting dates to research popular keywords, topics, videos, and audience trends.</p>

## Highlights

::: info Guidance
<p>Select one dataType per request. Use CONTENT_DATES or VIDEO_DATES in a separate request to look up published dates. Each ranking or report request requires an explicit endDate.</p>
:::

## Parameters

<div class="api-doc-table api-doc-table--params">

| Name | In | Type | Required | Default | Description |
| --- | --- | --- | --- | --- | --- |
| <code>token</code> | query | <code>string</code> | Yes | - | Authentication token for this API service. |
| <code>analysisType</code> | query | <code>string</code> | Yes | - | Creation Guide analysis tab.<br /><br><br>Available Values:<br /><br>- <code>CREATIVITY</code>: Creative insights and rankings<br /><br>- <code>PRODUCTION</code>: Content production analysis<br /><br>- <code>CONSUMPTION</code>: Content consumption analysis |
| <code>dataType</code> | query | <code>string</code> | Yes | - | One data set within the selected tab. Choose KEYWORDS, TOPICS, or VIDEOS for creative insight rankings.<br /><br><br>Available Values:<br /><br>- <code>CONTENT_DATES</code>: Publication calendar for keyword and topic rankings and for production and consumption reports<br /><br>- <code>VIDEO_DATES</code>: Publication calendar for popular video rankings. Use with CREATIVITY<br /><br>- <code>KEYWORDS</code>: Popular keywords. Use with CREATIVITY<br /><br>- <code>TOPICS</code>: Popular topics. Use with CREATIVITY<br /><br>- <code>VIDEOS</code>: Popular videos. Use with CREATIVITY<br /><br>- <code>PUBLISH_TREND</code>: Content publishing trend. Use with PRODUCTION<br /><br>- <code>AUTHOR_PORTRAIT</code>: Creator profile distribution. Use with PRODUCTION<br /><br>- <code>VIDEO_DURATION</code>: Content share, engagement, and completion by video duration. Use with PRODUCTION or CONSUMPTION<br /><br>- <code>CONSUME_TREND</code>: Content supply and consumption trends. Use with CONSUMPTION<br /><br>- <code>INTERACT_TREND</code>: Content engagement trend. Use with CONSUMPTION<br /><br>- <code>CONSUMER_PORTRAIT</code>: Audience distributions for viewing and engagement. Use with CONSUMPTION |
| <code>vertical</code> | query | <code>string</code> | No | - | Content vertical. Required for rankings and reports. Omit for publication calendars.<br /><br><br>Available Values:<br /><br>- <code>DRAMA</code>: Scripted stories and drama<br /><br>- <code>CELEBRITIES</code>: Celebrities<br /><br>- <code>MUSIC</code>: Music<br /><br>- <code>ANIME_COMICS</code>: Anime, comics, and related fan culture<br /><br>- <code>GAMING</code>: Gaming<br /><br>- <code>CURRENT_AFFAIRS</code>: Society and current affairs<br /><br>- <code>DANCE</code>: Dance<br /><br>- <code>RURAL_LIFE</code>: Agriculture, rural areas, and rural life<br /><br>- <code>TECHNOLOGY</code>: Science and technology<br /><br>- <code>FINANCE</code>: Business and finance<br /><br>- <code>PARENTING</code>: Maternity and parenting<br /><br>- <code>LIFESTYLE_HOME</code>: Lifestyle and home<br /><br>- <code>HEALTH</code>: Medicine and health<br /><br>- <code>RELATIONSHIPS</code>: Relationships and emotional well-being<br /><br>- <code>CULTURE</code>: Culture<br /><br>- <code>CAREERS</code>: Careers and the workplace<br /><br>- <code>EDUCATION</code>: Education and campus life<br /><br>- <code>PHOTOGRAPHY</code>: Photography and videography<br /><br>- <code>FOOD</code>: Food and cooking<br /><br>- <code>TRAVEL</code>: Travel<br /><br>- <code>FASHION</code>: Fashion<br /><br>- <code>SPORTS</code>: Sports<br /><br>- <code>ENTERTAINMENT</code>: Leisure and entertainment<br /><br>- <code>AUTOMOTIVE</code>: Cars and the automotive industry |
| <code>period</code> | query | <code>string</code> | No | - | ONE_DAY, THREE_DAYS, or WEEK for rankings. WEEK or MONTH for profile and video duration reports. Omit for trend reports and publication calendars.<br /><br><br>Available Values:<br /><br>- <code>ONE_DAY</code>: One published day. Rankings only<br /><br>- <code>THREE_DAYS</code>: Three days ending on the specified published day. Rankings only<br /><br>- <code>WEEK</code>: A reporting week ending on Sunday<br /><br>- <code>MONTH</code>: A calendar month. Profile and video duration reports only |
| <code>startDate</code> | query | <code>string</code> | No | - | Inclusive first day in China time (UTC+8), in YYYY-MM-DD format. Required for publishing, supply and consumption, and engagement trends. Omit for other data types. |
| <code>endDate</code> | query | <code>string</code> | No | - | Inclusive last day in China time (UTC+8), in YYYY-MM-DD format. Required for rankings and reports. Use a published Sunday for WEEK or a published month end for MONTH. Omit for publication calendars. |

</div>

## Code Samples

::: code-group

```bash [🐚 cURL]
curl --max-time 120 -X GET 'https://api.justoneapi.com/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES'
```

```text [🤖 AI Prompt]
I want to use the "Creation Guide (V1)" API from JustOneAPI.
Base URL: https://api.justoneapi.com.
API Path: /api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES
API Endpoint: BASE_URL + /api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES
HTTP Method: GET
Authentication: Append the "token" query parameter to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/douyin-index/creation-guide-v1-en.json

Parameters:
- token (query): Authentication token for this API service. (Required)
- analysisType (query): Creation Guide analysis tab.

Available Values:
- `CREATIVITY`: Creative insights and rankings
- `PRODUCTION`: Content production analysis
- `CONSUMPTION`: Content consumption analysis (Required)
- dataType (query): One data set within the selected tab. Choose KEYWORDS, TOPICS, or VIDEOS for creative insight rankings.

Available Values:
- `CONTENT_DATES`: Publication calendar for keyword and topic rankings and for production and consumption reports
- `VIDEO_DATES`: Publication calendar for popular video rankings. Use with CREATIVITY
- `KEYWORDS`: Popular keywords. Use with CREATIVITY
- `TOPICS`: Popular topics. Use with CREATIVITY
- `VIDEOS`: Popular videos. Use with CREATIVITY
- `PUBLISH_TREND`: Content publishing trend. Use with PRODUCTION
- `AUTHOR_PORTRAIT`: Creator profile distribution. Use with PRODUCTION
- `VIDEO_DURATION`: Content share, engagement, and completion by video duration. Use with PRODUCTION or CONSUMPTION
- `CONSUME_TREND`: Content supply and consumption trends. Use with CONSUMPTION
- `INTERACT_TREND`: Content engagement trend. Use with CONSUMPTION
- `CONSUMER_PORTRAIT`: Audience distributions for viewing and engagement. Use with CONSUMPTION (Required)
- vertical (query): Content vertical. Required for rankings and reports. Omit for publication calendars.

Available Values:
- `DRAMA`: Scripted stories and drama
- `CELEBRITIES`: Celebrities
- `MUSIC`: Music
- `ANIME_COMICS`: Anime, comics, and related fan culture
- `GAMING`: Gaming
- `CURRENT_AFFAIRS`: Society and current affairs
- `DANCE`: Dance
- `RURAL_LIFE`: Agriculture, rural areas, and rural life
- `TECHNOLOGY`: Science and technology
- `FINANCE`: Business and finance
- `PARENTING`: Maternity and parenting
- `LIFESTYLE_HOME`: Lifestyle and home
- `HEALTH`: Medicine and health
- `RELATIONSHIPS`: Relationships and emotional well-being
- `CULTURE`: Culture
- `CAREERS`: Careers and the workplace
- `EDUCATION`: Education and campus life
- `PHOTOGRAPHY`: Photography and videography
- `FOOD`: Food and cooking
- `TRAVEL`: Travel
- `FASHION`: Fashion
- `SPORTS`: Sports
- `ENTERTAINMENT`: Leisure and entertainment
- `AUTOMOTIVE`: Cars and the automotive industry
- period (query): ONE_DAY, THREE_DAYS, or WEEK for rankings. WEEK or MONTH for profile and video duration reports. Omit for trend reports and publication calendars.

Available Values:
- `ONE_DAY`: One published day. Rankings only
- `THREE_DAYS`: Three days ending on the specified published day. Rankings only
- `WEEK`: A reporting week ending on Sunday
- `MONTH`: A calendar month. Profile and video duration reports only
- startDate (query): Inclusive first day in China time (UTC+8), in YYYY-MM-DD format. Required for publishing, supply and consumption, and engagement trends. Omit for other data types.
- endDate (query): Inclusive last day in China time (UTC+8), in YYYY-MM-DD format. Required for rankings and reports. Use a published Sunday for WEEK or a published month end for MONTH. Omit for publication calendars.

Return format: safely handle JSON or text according to the actual Content-Type.

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set the request timeout to 120 seconds. If 120 seconds is too long for your use case, use at least 60 seconds, but a small number of requests may time out before receiving a result.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance
   - 602: Token Budget Exceeded
4. Code 601 means the shared account balance is insufficient. Code 602 means the current API token's own cumulative budget limit has been reached. Token budget limits do not transfer funds out of the shared account balance.

Please help me write a script in my preferred programming language to call this API and handle the response.
```

```python [🐍 Python]
import requests

BASE_URL = "https://api.justoneapi.com"  # Provided by OpenAPI servers

url = BASE_URL + "/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES"
response = requests.get(url, timeout=120)
print(response.status_code)
if response.content:
    content_type = response.headers.get("content-type", "").lower()
    if "json" in content_type:
        try:
            print(response.json())
        except ValueError:
            print(response.text)
    elif content_type.startswith("text/") or "xml" in content_type or content_type.split(";", 1)[0].strip() in {"application/javascript", "application/x-www-form-urlencoded", "application/graphql"}:
        print(response.text)
    else:
        with open("response.bin", "wb") as output:
            output.write(response.content)
        print(f"Saved {len(response.content)} bytes to response.bin")
```

```js [🌐 JavaScript]
const BASE_URL = "https://api.justoneapi.com"; // Provided by OpenAPI servers
const url = BASE_URL + "/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES";

const response = await fetch(url, {
  method: "GET",
  signal: AbortSignal.timeout(120000)
});
console.log(response.status);
const responseBytes = await response.arrayBuffer();
if (responseBytes.byteLength) {
  const contentType = (response.headers.get("content-type") || "").toLowerCase();
  const mediaType = contentType.split(";", 1)[0].trim();
  const textual = contentType.startsWith("text/") || contentType.includes("json") || contentType.includes("xml") || ["application/javascript", "application/x-www-form-urlencoded", "application/graphql"].includes(mediaType);
  if (textual) {
    const responseText = new TextDecoder().decode(responseBytes);
    let data = responseText;
    if (contentType.includes("json")) {
      try { data = JSON.parse(responseText); } catch { /* Keep the raw body. */ }
    }
    console.log(data);
  } else {
    console.log(`Received ${responseBytes.byteLength} binary bytes`);
  }
}
```

```java [☕ Java]
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;
import java.nio.charset.StandardCharsets;
import java.nio.file.Files;
import java.nio.file.Path;

public class Main {
    public static void main(String[] args) throws Exception {
        final String BASE_URL = "https://api.justoneapi.com"; // Provided by OpenAPI servers
        final String url = BASE_URL + "/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES";

        HttpClient client = HttpClient.newBuilder().connectTimeout(Duration.ofSeconds(120)).build();
        HttpRequest.Builder builder = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .timeout(Duration.ofSeconds(120))
            .method("GET", HttpRequest.BodyPublishers.noBody());

        HttpRequest request = builder.build();

        HttpResponse<byte[]> response = client.send(request, HttpResponse.BodyHandlers.ofByteArray());
        System.out.println(response.statusCode());
        String contentType = response.headers().firstValue("content-type").orElse("").toLowerCase();
        String mediaType = contentType.split(";", 2)[0].trim();
        if (contentType.startsWith("text/") || contentType.contains("json") || contentType.contains("xml") || mediaType.equals("application/javascript") || mediaType.equals("application/x-www-form-urlencoded") || mediaType.equals("application/graphql")) {
            System.out.println(new String(response.body(), StandardCharsets.UTF_8));
        } else {
            Files.write(Path.of("response.bin"), response.body());
            System.out.println("Saved " + response.body().length + " bytes to response.bin");
        }
    }
}
```

```go [🐹 Go]
package main

import (
	"fmt"
	"io"
	"os"
	"strings"
	"net/http"
	"time"
)

const BASE_URL = "https://api.justoneapi.com" // Provided by OpenAPI servers

func main() {
	client := &http.Client{Timeout: 120 * time.Second}
	url := BASE_URL + "/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	fmt.Println(resp.StatusCode)
	bodyBytes, _ := io.ReadAll(resp.Body)
	contentType := strings.ToLower(resp.Header.Get("Content-Type"))
	mediaType := strings.TrimSpace(strings.SplitN(contentType, ";", 2)[0])
	if strings.HasPrefix(contentType, "text/") || strings.Contains(contentType, "json") || strings.Contains(contentType, "xml") || mediaType == "application/javascript" || mediaType == "application/x-www-form-urlencoded" || mediaType == "application/graphql" {
		fmt.Println(string(bodyBytes))
	} else {
		os.WriteFile("response.bin", bodyBytes, 0600)
		fmt.Printf("Saved %d bytes to response.bin\n", len(bodyBytes))
	}
}
```

```php [🐘 PHP]
<?php
$BASE_URL = 'https://api.justoneapi.com'; // Provided by OpenAPI servers
$url = $BASE_URL . '/api/douyin-index/get-creation-guide/v1?token=YOUR_API_KEY&analysisType=CREATIVITY&dataType=CONTENT_DATES';

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_TIMEOUT, 120);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_RESPONSE_CODE);
$contentType = strtolower((string) curl_getinfo($ch, CURLINFO_CONTENT_TYPE));
curl_close($ch);
echo $status . PHP_EOL;
$mediaType = trim(explode(';', $contentType, 2)[0]);
if (str_starts_with($contentType, 'text/') || str_contains($contentType, 'json') || str_contains($contentType, 'xml') || in_array($mediaType, ['application/javascript', 'application/x-www-form-urlencoded', 'application/graphql'], true)) {
    echo $response;
} else {
    file_put_contents('response.bin', $response);
    echo 'Saved ' . strlen($response) . ' bytes to response.bin' . PHP_EOL;
}
```

:::

<div style="text-align: right; margin-top: -20px; margin-bottom: 20px;">
<a href="/openapi/douyin-index/creation-guide-v1-en.json" target="_blank" style="font-size: 12px; color: var(--vp-c-text-3); text-decoration: none; opacity: 0.8;">[OpenAPI Definition (JSON)]</a>
</div>

## Response Fields

Key fields in a successful response (`code = 0`).

<div class="api-doc-table api-doc-table--response">

| Field path | Type | Description |
| --- | --- | --- |
| <code>data</code> | <code>object</code> | One Creation Guide result. The fields returned depend on the requested dataType. |
| <code>data.day</code> | <code>string</code> | Latest published day for content reports and keyword or topic rankings, in YYYYMMDD format. |
| <code>data.week</code> | <code>string</code> | End date of the latest published week for content reports and keyword or topic rankings, in YYYYMMDD format. |
| <code>data.month</code> | <code>string</code> | End date of the latest published month for content reports, in YYYYMMDD format. |
| <code>data.earliest_week</code> | <code>string</code> | End date of the earliest available content reporting week, in YYYYMMDD format. |
| <code>data.latest_day</code> | <code>string</code> | Latest published day for popular video rankings, in YYYYMMDD format. |
| <code>data.start_week</code> | <code>string</code> | End date of the earliest available video ranking week, in YYYYMMDD format. |
| <code>data.end_week</code> | <code>string</code> | End date of the latest available video ranking week, in YYYYMMDD format. |
| <code>data.keyword_list</code> | <code>array</code> | Popular keywords for the selected vertical and period. |
| <code>data.keyword_list[]</code> | <code>object</code> | One popular keyword. |
| <code>data.keyword_list[].keyword</code> | <code>string</code> | Keyword text. |
| <code>data.keyword_list[].cnt</code> | <code>string</code> | Number of videos associated with the keyword, expressed as a string. |
| <code>data.keyword_list[].is_hot</code> | <code>boolean</code> | Hot-keyword indicator returned by Douyin. |
| <code>data.keyword_list[].index</code> | <code>string</code> | Composite index, expressed as a string. |
| <code>data.keyword_list[].search_index</code> | <code>string</code> | Search index, expressed as a string. |
| <code>data.topic_list</code> | <code>array</code> | Popular topics for the selected vertical and period. |
| <code>data.topic_list[]</code> | <code>object</code> | One popular topic. |
| <code>data.topic_list[].id</code> | <code>string</code> | Douyin topic identifier. |
| <code>data.topic_list[].name</code> | <code>string</code> | Topic name. |
| <code>data.topic_list[].index</code> | <code>string</code> | Topic index, expressed as a string. |
| <code>data.topic_list[].item_cnt</code> | <code>string</code> | Submission count, expressed as a string. |
| <code>data.topic_list[].vv</code> | <code>string</code> | View count, expressed as a string. |
| <code>data.topic_list[].digg_cnt</code> | <code>string</code> | Like count, expressed as a string. |
| <code>data.topic_list[].item_list</code> | <code>array</code> | Related entries, when present. |
| <code>data.video_infos</code> | <code>array</code> | Popular videos for the selected vertical and period. |
| <code>data.video_infos[]</code> | <code>object</code> | One video in the ranking. |
| <code>data.video_infos[].item_id</code> | <code>string</code> | Douyin video identifier. |
| <code>data.video_infos[].author_fans</code> | <code>string</code> | Creator follower count, expressed as a string. |
| <code>data.video_infos[].index</code> | <code>string</code> | Video index, expressed as a string. |
| <code>data.video_infos[].like_cnt</code> | <code>string</code> | Like count, expressed as a string. |
| <code>data.video_infos[].seq</code> | <code>string</code> | Position in the ranking, expressed as a string. |
| <code>data.video_infos[].video_title</code> | <code>string</code> | Video title. |
| <code>data.video_infos[].author</code> | <code>string</code> | Creator display name. |
| <code>data.video_infos[].comment_cnt</code> | <code>string</code> | Comment count, expressed as a string. |
| <code>data.video_infos[].forward_cnt</code> | <code>string</code> | Share count, expressed as a string. |
| <code>data.video_infos[].thumbnail</code> | <code>string</code> | Video thumbnail URL. |
| <code>data.video_infos[].avatar_url</code> | <code>string</code> | Creator avatar URL. |
| <code>data.video_infos[].status</code> | <code>string</code> | Video status value. |
| <code>data.video_infos[].play_cnt</code> | <code>string</code> | View count, expressed as a string. |
| <code>data.video_infos[].author_id</code> | <code>string</code> | Douyin creator identifier. |
| <code>data.page_resp</code> | <code>object</code> | Ranking result count. |
| <code>data.page_resp.total_num</code> | <code>string</code> | Total reported for the video ranking, expressed as a string. |
| <code>data.author_list</code> | <code>array</code> | Trend series for content creators. |
| <code>data.author_list[]</code> | <code>object</code> | One day in the trend. |
| <code>data.author_list[].date</code> | <code>string</code> | Reporting date in YYYYMMDD format. |
| <code>data.author_list[].rate</code> | <code>number</code> | Value of this trend point. |
| <code>data.item_list</code> | <code>array</code> | Trend series for published content. |
| <code>data.item_list[]</code> | <code>object</code> | One day in the trend. |
| <code>data.item_list[].date</code> | <code>string</code> | Reporting date in YYYYMMDD format. |
| <code>data.item_list[].rate</code> | <code>number</code> | Value of this trend point. |
| <code>data.supply_trend</code> | <code>array</code> | Trend series for content supply. |
| <code>data.supply_trend[]</code> | <code>object</code> | One day in the trend. |
| <code>data.supply_trend[].date</code> | <code>string</code> | Reporting date in YYYYMMDD format. |
| <code>data.supply_trend[].rate</code> | <code>number</code> | Value of this trend point. |
| <code>data.consume_trend</code> | <code>object</code> | Content consumption trend and associated top entries. |
| <code>data.consume_trend.rate_list</code> | <code>array</code> | Time series returned for the selected period. |
| <code>data.consume_trend.rate_list[]</code> | <code>object</code> | One reported observation. |
| <code>data.consume_trend.top_list</code> | <code>array</code> | Top entries returned with the trend. |
| <code>data.interact_trend</code> | <code>object</code> | Content engagement trend and associated top entries. |
| <code>data.interact_trend.rate_list</code> | <code>array</code> | Time series returned for the selected period. |
| <code>data.interact_trend.rate_list[]</code> | <code>object</code> | One reported observation. |
| <code>data.interact_trend.top_list</code> | <code>array</code> | Top entries returned with the trend. |
| <code>data.rate_list</code> | <code>array</code> | Statistics grouped by video duration. |
| <code>data.rate_list[]</code> | <code>object</code> | One video duration group. |
| <code>data.rate_list[].duration</code> | <code>string</code> | Label of the video duration group. |
| <code>data.rate_list[].content_rate</code> | <code>number</code> | Share of content in this duration group. |
| <code>data.rate_list[].interaction_rate</code> | <code>number</code> | Engagement rate for videos in this duration group. |
| <code>data.rate_list[].finish_rate</code> | <code>number</code> | Completion rate for videos in this duration group. |
| <code>data.rate_list[].top_items_list</code> | <code>array</code> | Top video groups for this duration, when present. |
| <code>data.data</code> | <code>array</code> | Creator profile distributions for the selected vertical and period. |
| <code>data.data[]</code> | <code>object</code> | One attribute in the audience or creator profile. |
| <code>data.data[].name_en</code> | <code>string</code> | Identifier for the profile attribute. |
| <code>data.data[].label_list</code> | <code>array</code> | Distribution entries for this attribute. |
| <code>data.play_data</code> | <code>array</code> | Audience profile distributions for video viewing. |
| <code>data.play_data[]</code> | <code>object</code> | One attribute in the audience or creator profile. |
| <code>data.play_data[].name_en</code> | <code>string</code> | Identifier for the profile attribute. |
| <code>data.play_data[].label_list</code> | <code>array</code> | Distribution entries for this attribute. |
| <code>data.interaction_data</code> | <code>array</code> | Audience profile distributions for video engagement. |
| <code>data.interaction_data[]</code> | <code>object</code> | One attribute in the audience or creator profile. |
| <code>data.interaction_data[].name_en</code> | <code>string</code> | Identifier for the profile attribute. |
| <code>data.interaction_data[].label_list</code> | <code>array</code> | Distribution entries for this attribute. |

</div>

## Response Example

<ApiExampleSection :api='JSON.parse("\"/api/douyin-index/get-creation-guide/v1\"")' />

